## amoeba-data 1.1

=== src/Makefile ===
include config.mak

CFLAGS=-Wall -O6 -march=pentiumpro -ffast-math -I. -fstrict-aliasing
CXXFLAGS=-Wall -O6 -march=pentiumpro -ffast-math -I. -fstrict-aliasing -fexceptions
CPPFLAGS=-I.
#CFLAGS=-Wall -I. 
#CXXFLAGS=-Wall -I.
LDFLAGS=

ifeq ($(PLATFORM),linux)
  ifeq ($(DESTPLATFORM),win32)
    CC=i586-mingw32msvc-gcc
    CXX=i586-mingw32msvc-g++
    AR=i586-mingw32msvc-ar
    RANLIB=i586-mingw32msvc-ranlib
    WINDRES=i586-mingw32msvc-windres
    CFLAGS += -mwindows
    CXXFLAGS += -mwindows
    CPPFLAGS += -I/usr/i586-mingw32msvc/include/freetype
  else
    AR=ar
    RANLIB=ranlib
    EXTRALIBS=
    #EXTRALIBS=-lefence
    #EXTRALIBS=/usr/src/dmalloc-4.6.0/libdmallocth.a /usr/src/dmalloc-4.6.0/dmallocc.o
    CPPFLAGS += `freetype-config --cflags` `gtk-config --cflags`
    ifeq ($(LINUXVARIANT),gcc)
      CC=gcc
      CXX=g++
    else 
      CC=/opt/intel/compiler50/ia32/bin/icc
      CXX=/opt/intel/compiler50/ia32/bin/icc
      CFLAGS=-O3 -tpp6 -axiMK -xM -Xc -pc32 -unroll
      CXXFLAGS=-O3 -tpp6 -axiMK -xM -Xc -pc32 -unroll -Kc++eh
      LDFLAGS+=
      CPPFLAGS += -I/opt/intel/compiler50/ia32/include -I/usr/local/include -D__ICC__
    endif
  endif
else
  AR=ar
  RANLIB=ranlib
  CC=gcc
  CXX=g++
  WINDRES=windres
  ifeq ($(WIN32VARIANT),cygwin)
    CFLAGS += -mwindows -DBOOL=bool -DWIN32=1
    CXXFLAGS += -mwindows -DBOOL=bool -DWIN32=1
  endif
endif

SUBDIRS=main opengl audio image packer math util
VPATH=$(SUBDIRS)
override CPPFLAGS += $(patsubst %,-I%,$(subst :, ,$(VPATH)))

.PHONY: clean

ifeq ($(DESTPLATFORM),linux)
EXE=test-demolib
else
EXE=test-demolib.exe
endif

all: $(EXE)

OBJS=test-demolib.o exception.o
include $(patsubst %,%/Makefile,$(SUBDIRS))
include Makefile.dep

clean:
	rm -f test-demolib $(OBJS) $(SUBLIBS) $(DEPS)

ifeq ($(DESTPLATFORM),linux)
$(EXE): $(SUBLIBS) exception.o test-demolib.o 
#	$(CXX) $(LDFLAGS) -o test-demolib test-demolib.o exception.o $(SUBLIBS) -lm -lGL -lGLU /usr/lib/libexpat.a /usr/local/lib/tinylib/libpng.a /usr/local/lib/tinylib/libz.a -L/usr/X11R6/lib/ -lXxf86vm -lX11 -lXext /usr/local/lib/tinylib/libjpeg.a /usr/local/lib/tinylib/libfreetype.a /usr/local/lib/tinylib/libvorbisfile.a /usr/local/lib/tinylib/libvorbis.a /usr/local/lib/tinylib/libogg.a $(EXTRALIBS)
	$(CXX) $(LDFLAGS) -o test-demolib test-demolib.o exception.o $(SUBLIBS) -lm -lGL -lGLU -lexpat -lpng -lz -L/usr/X11R6/lib/ -lXxf86vm -lX11 -lXext -ljpeg `freetype-config --libs` -lvorbisfile -lvorbis -logg $(EXTRALIBS)
else
%.o:  %.rc
	$(WINDRES) $< $@
	
$(EXE): $(SUBLIBS) exception.o test-demolib.o main/win32-config/dialog.o
	$(CXX) $(CXXFLAGS) -static -o test-demolib.exe test-demolib.o exception.o main/win32-config/dialog.o $(SUBLIBS) -lm -lpng -ljpeg -lz -lopengl32 -lglu32 -lgdi32 -lexpat -lvorbisfile -lvorbis -logg -lfreetype
endif

=== src/audio/Makefile ===
# Main system :-)
AUDIO_OBJS = audio/musichandler.o

# Audio providers
AUDIO_OBJS += audio/vorbis.o

# Audio drivers (outputs)
ifeq ($(DESTPLATFORM),win32)
AUDIO_OBJS += audio/win32_dsound.o
else
AUDIO_OBJS += audio/linux_oss.o
endif

OBJS += $(AUDIO_OBJS)
SUBLIBS += audio/audio.a

audio/audio.a: $(AUDIO_OBJS)
	$(AR) rc audio/audio.a $(AUDIO_OBJS)
	$(RANLIB) audio/audio.a

=== src/image/Makefile ===
IMAGE_OBJS=image/jpeg_image.o image/png_image.o image/load_image.o image/image.o image/imagecombiner.o
OBJS += $(IMAGE_OBJS)
SUBLIBS += image/image.a

image/image.a: $(IMAGE_OBJS)
	$(AR) rc image/image.a $(IMAGE_OBJS)
	$(RANLIB) image/image.a

=== src/main/Makefile ===
# Main loop
MAIN_OBJS = main/mainloop.o main/demohandler.o \
		main/event.o main/factory.o \
		main/curve.o main/linearcurve.o main/autosplinecurve.o main/linecurve.o main/piprecalc.o

# Misc. 2D "effects"
MAIN_OBJS += main/imagehandler.o main/inverthandler.o main/overlayanimhandler.o main/backgroundhandler.o main/fonthandler.o

# Loaded 3D models
MAIN_OBJS += main/object.o main/objhandler.o

# 3D model deformations
MAIN_OBJS += main/shadowhandler.o main/shadowrecthandler.o \
	     main/twisthandler.o main/uquadshandler.o

# 3D-effects and -handlers
MAIN_OBJS += main/lighthandler.o \
	main/fovhandler.o \
	main/foghandler.o \
	main/camerahandler.o \
        main/heightmaptunnelhandler.o \
	main/particlepathhandler.o \
	main/interferenceheightmaphandler.o

# Debugging stuff
MAIN_OBJS += main/fpshandler.o main/timerhandler.o

ifeq ($(DESTPLATFORM),linux)
MAIN_OBJS += main/linux-config/linux-config.o
else
# the resource file is included in the top-level Makefile
MAIN_OBJS += main/win32-config/win32-config.o
endif

# ---

OBJS += $(MAIN_OBJS)
SUBLIBS += main/main.a

main/main.a: $(MAIN_OBJS)
	$(AR) rc main/main.a $(MAIN_OBJS)
	$(RANLIB) main/main.a

=== src/packer/Makefile ===
PACKER_OBJS=packer/file.o packer/memfile.o packer/pakfile.o \
	    packer/filereader.o packer/zfile.o
OBJS += $(PACKER_OBJS)
SUBLIBS += packer/packer.a

packer/packer.a: $(PACKER_OBJS)
	$(AR) rc packer/packer.a $(PACKER_OBJS)
	$(RANLIB) packer/packer.a

=== src/util/Makefile ===
UTIL_OBJS=util/hashtable.o
OBJS += $(UTIL_OBJS)
SUBLIBS += util/util.a

util/util.a: $(UTIL_OBJS)
	$(AR) rc util/util.a $(UTIL_OBJS)
	$(RANLIB) util/util.a

=== debian/changelog ===
amoeba-data (1.1-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to short DH & debhelper-compat 13
  * Bump Standards-Version to 4.7.3, drop Priority: tag

 -- Alexandre Detiste <tchet@debian.org>  Sun, 04 Jan 2026 02:55:42 +0100

amoeba-data (1.1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 source format. (Closes: #1007544)

 -- Bastian Germann <bage@debian.org>  Fri, 09 Dec 2022 23:15:44 +0100

amoeba-data (1.1-7) unstable; urgency=medium

  * Add empty build-arch and build-indep targets. (Closes: #999229)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 15 Nov 2021 22:56:54 +0100

amoeba-data (1.1-6) unstable; urgency=low

  * Add empty binary-arch target. (Closes: #640875)
  * Change my maintainer address to sesse@debian.org. (I was not a DD when I
    last uploaded this package, almost nine years ago...)
  * Replace DH_COMPAT= directive with debian/compat file.
  * Bump debian/compat version to 7.
    * Bump debhelper versioning compatibility to 7.0.0.
  * Remove some debhelper boilerplate from debian/rules.
  * Bump Standards-Version to 3.9.2.
  * Add ${misc:Depends} to Depends.
  * Use dh_prep instead of dh_clean -k.
  * Add debhelper to Build-Depends instead of Build-Depends-Indep,
    since the clean target needs it.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 15 Sep 2011 21:54:04 +0200

amoeba-data (1.1-5) unstable; urgency=low

  * Upload with source as well.  *sigh*.

 -- Tollef Fog Heen <tfheen@debian.org>  Sat, 23 Nov 2002 19:57:05 +0100

amoeba-data (1.1-4) unstable; urgency=low

  * Clarified the copyright text in debian/copyright.

 -- Steinar H. Gunderson <sgunderson@bigfoot.com>  Thu, 14 Nov 2002 02:28:07 +0100

amoeba-data (1.1-3) unstable; urgency=low

  * New upload, this time _really_ with copyright. (The error was to forget
    adding dh_installdocs to debian/rules -- the copyright file was included
    in the source package but not the binary.)

  * Cleaned up debian/rules.

 -- Steinar H. Gunderson <sgunderson@bigfoot.com>  Thu, 07 Nov 2002 14:02:25 +0100

amoeba-data (1.1-2) unstable; urgency=low

  * New upload, this time with copyright.

 -- Steinar H. Gunderson <sgunderson@bigfoot.com>  Thu, 07 Nov 2002 00:54:35 +0100

amoeba-data (1.1-1) unstable; urgency=low

  * Initial release for Debian.

 -- Steinar H. Gunderson <sgunderson@bigfoot.com>  Sat, 26 Oct 2002 02:07:23 +0200

=== debian/control ===
Source: amoeba-data
Section: non-free/x11
Maintainer: "Steinar H. Gunderson" <sesse@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.3

Package: amoeba-data
Architecture: all
Recommends: amoeba
Depends: ${misc:Depends}
Description: Fast-paced, polished OpenGL demonstration by Excess (data)
 Amoeba is a fast-paced, cross-platform OpenGL demonstration by Excess, showing
 effects using your 3D card in perfect sync with Ogg Vorbis music. It features
 a full XML-scripted GPLed demo engine, several object manipulations, lots of
 graphics and a pumping soundtrack.
 .
 Amoeba won first price in the demo competition at Underscore 02, a sceneparty
 held in Joenkoeping, Sweden (http://www.underscore.sh/)
 .
 This package contains the data required for the demo -- to watch the demo, you
 will also need the package amoeba, which contains the demo engine.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/amoeba-data
